Calculate a manual rebalance
POST/v1/rebalances/manual
Calculates the trades for the accounts in the request body, from the holdings, settings and models you send, and returns the result for each account, the total for the household, and the explanation. Nothing is saved. Weights and allocations, in the request body and in the response, are percents from 0 to 100.
Set is_rebalance_account to true on at least one account.
Request
Responses
- 201
- 400
- 401
- 403
- 404
- 429
The result of the manual rebalance.
The request body is invalid, for example household is missing or an account has no holdings.
The access token is missing, invalid, or expired.
The access token does not have the write:rebalance scope.
Your firm has no model with model_id or with an account's model_id, no household with household_id, or no account with a key of household or an account's account_id.
Too many requests. Wait the number of seconds in the Retry-After-per-person header (script-audience tokens) or the Retry-After header (other requests) before you retry. See Rate limit.